## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.pages.source
Class ASARoutineSourceEditor

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.ui.part.WorkbenchPart
              org.eclipse.ui.part.EditorPart
                  org.eclipse.ui.texteditor.AbstractTextEditor
                      org.eclipse.ui.texteditor.StatusTextEditor
                          org.eclipse.ui.texteditor.AbstractDecoratedTextEditor
                              org.eclipse.ui.editors.text.TextEditor
                                  org.eclipse.datatools.sqltools.sqleditor.SQLEditor
                                      org.eclipse.datatools.sqltools.routineeditor.ui.RoutineEditor
                                          org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.pages.source.ASARoutineSourceEditor

All Implemented Interfaces:
  java.util.EventListener, org.eclipse.core.runtime.IAdaptable, org.eclipse.core.runtime.IExecutableExtension, org.eclipse.jface.util.IPropertyChangeListener, org.eclipse.ui.IEditorPart, org.eclipse.ui.INavigationLocationProvider, org.eclipse.ui.IPersistable, org.eclipse.ui.IPersistableEditor, org.eclipse.ui.IReusableEditor, org.eclipse.ui.ISaveablePart, org.eclipse.ui.ISaveablesSource, org.eclipse.ui.IWorkbenchPart, org.eclipse.ui.IWorkbenchPart2, org.eclipse.ui.IWorkbenchPart3, org.eclipse.ui.part.IWorkbenchPartOrientation, org.eclipse.ui.texteditor.ITextEditor, org.eclipse.ui.texteditor.ITextEditorExtension, org.eclipse.ui.texteditor.ITextEditorExtension2, org.eclipse.ui.texteditor.ITextEditorExtension3, org.eclipse.ui.texteditor.ITextEditorExtension4, org.eclipse.ui.texteditor.ITextEditorExtension5

    public class ASARoutineSourceEditor

extends RoutineEditor

This class is a RoutineEditor for ASA/IQ routine source editor

Author:
  songj

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.datatools.sqltools.sqleditor.SQLEditor
`SQLEditor.AdaptedSourceViewer`

Nested classes/interfaces inherited from interface org.eclipse.ui.texteditor.ITextEditorExtension3
`org.eclipse.ui.texteditor.ITextEditorExtension3.InsertMode`

Field Summary
`static java.lang.String` `SCHEMA_EDITOR_NESTED_ASA_PROC_SOURCE_ID`

Fields inherited from class org.eclipse.datatools.sqltools.routineeditor.ui.RoutineEditor
`EDITOR_ID`

Fields inherited from class org.eclipse.datatools.sqltools.sqleditor.SQLEditor
`HELP_CONTEXT_ID, PLUGIN_NAME`

Fields inherited from class org.eclipse.ui.texteditor.AbstractDecoratedTextEditor
`DEFAULT_OVERVIEW_RULER_CONTEXT_MENU_ID`

Fields inherited from class org.eclipse.ui.texteditor.AbstractTextEditor

`COMMON_EDITOR_CONTEXT_MENU_ID, COMMON_RULER_CONTEXT_MENU_ID, DEFAULT_EDITOR_CONTEXT_MENU_ID, DEFAULT_RULER_CONTEXT_MENU_ID, PREFERENCE_COLOR_BACKGROUND, PREFERENCE_COLOR_BACKGROUND_SYSTEM_DEFAULT, PREFERENCE_COLOR_FIND_SCOPE, PREFERENCE_COLOR_FOREGROUND, PREFERENCE_COLOR_FOREGROUND_SYSTEM_DEFAULT, PREFERENCE_COLOR_SELECTION_BACKGROUND, PREFERENCE_COLOR_SELECTION_BACKGROUND_SYSTEM_DEFAULT, PREFERENCE_COLOR_SELECTION_FOREGROUND, PREFERENCE_COLOR_SELECTION_FOREGROUND_SYSTEM_DEFAULT, PREFERENCE_FONT, PREFERENCE_HOVER_ENRICH_MODE, PREFERENCE_HYPERLINK_KEY_MODIFIER, PREFERENCE_HYPERLINK_KEY_MODIFIER_MASK, PREFERENCE_HYPERLINKS_ENABLED, PREFERENCE_NAVIGATION_SMART_HOME_END, PREFERENCE_RULER_CONTRIBUTIONS, PREFERENCE_SHOW_WHITESPACE_CHARACTERS, PREFERENCE_TEXT_DRAG_AND_DROP_ENABLED, PREFERENCE_USE_CUSTOM_CARETS, PREFERENCE_WIDE_CARET`

Fields inherited from interface org.eclipse.ui.IEditorPart
`PROP_DIRTY, PROP_INPUT`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Fields inherited from interface org.eclipse.ui.IEditorPart
`PROP_DIRTY, PROP_INPUT`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Fields inherited from interface org.eclipse.ui.texteditor.ITextEditorExtension3
`INSERT, SMART_INSERT`

Constructor Summary
`ASARoutineSourceEditor()`

Method Summary
`org.eclipse.ui.IEditorSite` `getEditorSite()`
`boolean` `isDebugEditor()`

Methods inherited from class org.eclipse.datatools.sqltools.routineeditor.ui.RoutineEditor
`dispose, doSave, doSaveAs, getConstructedResourceBundle, getCurrProcIdentifier, getSQLType, init, setConnectionInfo`

Methods inherited from class org.eclipse.datatools.sqltools.sqleditor.SQLEditor

`addConnectionProfileAttachListener, createPartControl, doRevertToSaved, doSetInput, fireConnectionProfileAttached, getAdapter, getConnectionInfo, getDatabase, getDatabaseIdentifier, getDBProposalsService, getDBType, getDefaultSchemaName, getDocumentSetupParticipant, getOrientation, getParentEditor, getParsingResult, getResourceBundle, getSelectedText, getSQLColorProvider, getSV, getTargetText, getText, gotoMatchingToken, insert, isConnected, outlinePageClosed, propertyChange, refreshConnectionStatus, removeConnectionProfileAttachListener, requestConnection, requestConnectionFromUser, setDocumentSetupParticipant, setFocus, setParentEditor, setParsingResult, updatePartControl`

Methods inherited from class org.eclipse.ui.editors.text.TextEditor
`isSaveAsAllowed`

Methods inherited from class org.eclipse.ui.texteditor.AbstractDecoratedTextEditor
`getDocumentProvider, gotoAnnotation, gotoMarker, isChangeInformationShowing, isEditable, showChangeInformation, showRevisionInformation, validateEditorInputState`

Methods inherited from class org.eclipse.ui.texteditor.AbstractTextEditor

`addRulerContextMenuListener, close, createEmptyNavigationLocation, createNavigationLocation, getAction, getActiveSaveables, getHighlightRange, getInsertMode, getSaveables, getSelectionProvider, isBlockSelectionModeEnabled, isDirty, isEditorInputModifiable, isEditorInputReadOnly, markAsContentDependentAction, markAsPropertyDependentAction, markAsSelectionDependentAction, markAsStateDependentAction, removeActionActivationCode, removeRulerContextMenuListener, resetHighlightRange, restoreState, saveState, selectAndReveal, setAction, setActionActivationCode, setBlockSelectionMode, setHighlightRange, setInput, setInsertMode, setStatusField, showHighlightRangeOnly, showsHighlightRangeOnly`

Methods inherited from class org.eclipse.ui.part.EditorPart
`getEditorInput, getTitleToolTip, isSaveOnCloseNeeded, setInitializationData`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart
`addPartPropertyListener, addPropertyListener, getContentDescription, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, removePartPropertyListener, removePropertyListener, setPartProperty, showBusy`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IEditorPart
`getEditorInput`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

Methods inherited from interface org.eclipse.ui.ISaveablePart
`isSaveOnCloseNeeded`

Methods inherited from interface org.eclipse.ui.IEditorPart
`getEditorInput`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

Methods inherited from interface org.eclipse.ui.ISaveablePart
`isSaveOnCloseNeeded`

Field Detail

### SCHEMA_EDITOR_NESTED_ASA_PROC_SOURCE_ID

    public static final java.lang.String SCHEMA_EDITOR_NESTED_ASA_PROC_SOURCE_ID

See Also:
  Constant Field Values

Constructor Detail

### ASARoutineSourceEditor

    public ASARoutineSourceEditor()

Method Detail

### getEditorSite

    public org.eclipse.ui.IEditorSite getEditorSite()

  Specified by:
    `getEditorSite` in interface `org.eclipse.ui.IEditorPart`
  Overrides:
    `getEditorSite` in class `org.eclipse.ui.part.EditorPart`

### isDebugEditor

    public boolean isDebugEditor()